#include <Bluetooth App Inventor Slider.h>

#include "stdlib.h"

#FUSES NOMCLR

#use i2c(Master, Fast, sda=PIN_B0, scl=PIN_B1, force_sw, stream=OLED_stream)//parametros I2C
#use rs232(baud=38400, stop=1, parity=N, xmit=PIN_C6, rcv=PIN_C7, bits=8)

#define SH1106_128_64 //DEFINE EL MODELO DE LA PANTALLA OLED
//#define SSD1306_128_64

#include "OLED_I2C.c" //libreria oled I2C

char recibido[20];

int8 val_slider1=0;
int8 val_slider2=0;

void datos();
void mostrar();

#int_rda
void recibe()
{
   memset(recibido, 0, sizeof(recibido)); //limpia los registros de la varible
   int8 i=0;
   while(true)
   {
      recibido[i]=getc();//RECIBE EL CARACTER

      if(recibido[i]=='\r')//busca el salto de linea \r
      {
         recibido[i]='\0';//fin de la cadena = caracter nulo \0
         datos();
         mostrar();
         return;
      }
      i++;
   }
}


void datos()
{
   signed int8 result;

   char ID_Silder[10];
   char num[10];

   char Slider1[10] = "slider1";
   char Slider2[10] = "slider2";

   memset(ID_Silder, 0, sizeof(ID_Silder)); //limpia los registros de la varible ID_Silder
   memset(num, 0, sizeof(num)); //limpia los registros de la varible num


       for (int i=0; i<=6; ++i)
      {
         ID_Silder[i] = recibido[i]; //identifica el slider
      }

      for (int i=0; i<=2; ++i)
      {
         num[i] = recibido[i+7]; //guarda el valor del slider
      }

      result = strcmp(ID_Silder, Slider1);//compara, si son iguales (0), no (+-1)

      if(result==0)
      {
         val_slider1 = (int8)atoi(num);  //convierte la cadena en un numero de 8bits
         return;
      }

      result = strcmp(ID_Silder, Slider2);

      if(result==0)
      {
         val_slider2 = (int8)atoi(num); //convierte la cadena en un numero de 8bits
         return;
      }
}


void mostrar()
{
   char texto[20];

   sprintf(texto,"Slider1=%03u",val_slider1);
   OLED_DrawText(1,1,texto,1);

   sprintf(texto,"Slider2=%03u",val_slider2);
   OLED_DrawText(1,10,texto,1);

   OLED_Display();//Muestra la informacin en pantalla;
}


void main()
{

   enable_interrupts(int_rda);
   enable_interrupts(global);

   OLED_Begin();
   OLED_ClearDisplay();

   mostrar();

   while(TRUE)
   {


      //TODO: User Code
   }

}
